use 教学成绩管理数据库       --一段一段选中执行
go 

--1.删除表中约束定义
alter table 学生信息表
  drop constraint ck_宿舍电话

--2.修改表增加约束定义
alter table 学生信息表
  with nocheck                   /*对已有数据不强制这个约束*/ 
  add constraint ck_宿舍电话
  check(宿舍电话 like '6[0-9][0-9][0-9][0-9][0-9][0-9]')
  --添加约束名【ck_宿舍电话】内容：
  --    【宿舍电话列】只能由6开头后跟6位0-9之间的数字，共7位
go

--3.验证, 一条一条执行
insert 学生信息表 values('000004', '富五车', '男', '6533444')
insert 学生信息表 values('000002', '凌云霄', '雄', '6533444')
insert 学生信息表 values('000003', '汪清水', '女', '5333777')
select * from 学生信息表


